Package org.apache.sling.resourceresolver.impl.providers

# Interface ResourceProviderTracker.ObservationReporterGenerator

All Known Implementing Classes:
  `ResourceChangeListenerWhiteboard`

Enclosing class:
  ResourceProviderTracker

public static interface ResourceProviderTracker.ObservationReporterGenerator

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.spi.resource.provider.ObservationReporter`
`create(org.apache.sling.api.resource.path.Path path, org.apache.sling.api.resource.path.PathSet excludes)`
`org.apache.sling.spi.resource.provider.ObservationReporter`
`createProviderReporter()`

## Method Details

### create

org.apache.sling.spi.resource.provider.ObservationReporter create(org.apache.sling.api.resource.path.Path path, org.apache.sling.api.resource.path.PathSet excludes)

### createProviderReporter

org.apache.sling.spi.resource.provider.ObservationReporter createProviderReporter()